Skip to main content
Producer allows us to download videos related to songs. This document explains the integration method for the relevant API. This API has only one input parameter, which is audio_id, the unique ID of the song. The audio_id we input here is a54609c6-13e2-4176-be0f-4d7eebc68e1f, which is a song ID generated by Producer.
curl -X POST 'https://api.acedata.cloud/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
The result is as follows:
{
  "success": true,
  "task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
  "trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
  "data": {
    "video_url": "https://storage.googleapis.com/corpusant-app-public/song-videos/a54609c6-13e2-4176-be0f-4d7eebc68e1f:5178f294b214798f7d38b810ac289be75306659be24af88900a633efce334012.mp4"
  }
}
As can be seen, the video_url field in data is the download link for the video.